(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */


	 $(document).ready(function($){
 
		var custom_uploader;
	
		$('#upload_image_pdf_button').click(function(e) {
	
				e.preventDefault();
	
				//If the uploader object has already been created, reopen the dialog
				if (custom_uploader) {
						custom_uploader.open();
						return;
				}
	
				//Extend the wp.media object
				custom_uploader = wp.media.frames.file_frame = wp.media({
						title: 'Choose Image',
						button: {
								text: 'Choose Image'
						},
						multiple: false
				});
	
				//When a file is selected, grab the URL and set it as the text field's value
    
				custom_uploader.on('select', function() {
						console.log(custom_uploader.state().get('selection').first());
						let attachment = custom_uploader.state().get('selection').first().toJSON();
						$('#upload_image_pdf').val(attachment.url);
				});
	
				//Open the uploader dialog
				custom_uploader.open();
	
		});
	
		$('#upload_image_email_button').click(function(e) {
	
				e.preventDefault();
	
				//If the uploader object has already been created, reopen the dialog
				if (custom_uploader) {
						custom_uploader.open();
						return;
				}
	
				//Extend the wp.media object
				custom_uploader = wp.media.frames.file_frame = wp.media({
						title: 'Choose Image',
						button: {
								text: 'Choose Image'
						},
						multiple: false
				});
	
				//When a file is selected, grab the URL and set it as the text field's value
				custom_uploader.on('select', function() {
						let attachment = custom_uploader.state().get('selection').first().toJSON();
						$('#upload_image_email').val(attachment.url);
				});
	
				//Open the uploader dialog
				custom_uploader.open();
	
		});
		try {
			if($('#rojuaala-css-text').length >0) {
				var editor =  wp.codeEditor.initialize($('#rojuaala-css-text'), cm_settings);
			}
		} catch(e) {
				//console.error("error en initialize($('#rojuaala-css-text')", e)
		}
	
	});
	


})( jQuery );

function get_doc(params,id_html_refresh,id_title) {
  var data = {
    action: "get_doc", 
    params: params
  }
 const data_request = data;
 jQuery(id_html_refresh).html('<div class="col-12 d-flex justify-content-center "><div class="mt-5 mx-auto spinner-border" role="status"><span class="sr-only">Loading...</span></div></div>')

  jQuery.ajax({
    url : wp_ajax_vars.ajax_url,
    data: data_request,
    success: function(data,status,xhr) {

      if (data!=undefined && data!='' && data.data!=undefined) {
        jQuery(id_html_refresh).html(data.data.html);
        jQuery(id_title).removeClass( "d-none" );
      } else {
       jQuery(id_html_refresh).html('');
      }
    },
    error: function (jqXhr, textStatus, errorMessage) { // error callback 
      jQuery(id_html_refresh).html(errorMessage);
    }
  });
}



