<?php

/**
 * Fired during plugin activation
 *
 * @link       https://juaala.com/
 * @since      1.0.0
 *
 * @package    Rsonline_Juaala
 * @subpackage Rsonline_Juaala/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Rsonline_Juaala
 * @subpackage Rsonline_Juaala/includes
 * @author     Juaala <info@juaala.com>
 */
class Rsonline_Juaala_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		self::juaala_rso_add_custom_pages();
	}

	private static function juaala_rso_add_custom_pages() {

		$shortcode = "juaala_rso_properties";

		// Crear página
		$my_post = array(
			'import_id'         =>  3333,
			'post_title'    => wp_strip_all_tags( __('Search properties results','rsonline-juaala') ),
			'post_content'  => '['.$shortcode.'/]',
			'post_status'   => 'publish',
			'post_author'   => get_current_user_id(),
			'post_type'     => 'page',
		);
	
		$content = get_post(3333);
		if (!$content) {
			wp_insert_post( $my_post );
		}    
	 
		//Añadimos la página de detalle de propiedad
		$shortcode_details = "juaala_rso_property";

		// Crear página detalle de propiedad
		$my_post_details = array(
			'import_id'         =>  3334,
			'post_title'    => wp_strip_all_tags( __('Property Detail','rsonline-juaala') ),
			'post_content'  => '['.$shortcode_details.'/]',
			'post_status'   => 'publish',
			'post_author'   => get_current_user_id(),
			'post_type'     => 'page',
		);
	
		$content_d = get_post(3334);
		if (!$content_d) {
			wp_insert_post( $my_post_details );
		}  
	
		//añadimos la página de favoritos
		$shortcode_fav = "juaala_rso_shortlist";
		
		// Crear página favoritos
		$my_post_fav = array(
			'import_id'         =>  13335,
			'post_title'    => wp_strip_all_tags( __('Favorite Properties','rsonline-juaala') ),
			'post_content'  => '['.$shortcode_fav.'/]',
			'post_status'   => 'publish',
			'post_author'   => get_current_user_id(),
			'post_type'     => 'page',
		);
	
		$content_f = get_post(13335);
		
		if (!$content_f) {
			wp_insert_post( $my_post_fav );
		}


		//añadimos la página de comparación de propiedades
		$shortcode_compare = "juaala_rso_compare";
		
		// Crear página de comparacion
		$my_post_compare = array(
			'import_id'         =>  15335,
			'post_title'    => wp_strip_all_tags( __('Comparison list','rsonline-juaala') ),
			'post_content'  => '['.$shortcode_compare.'/]',
			'post_status'   => 'publish',
			'post_author'   => get_current_user_id(),
			'post_type'     => 'page',
		);
	
		$content_f = get_post(15335);
		
		if (!$content_f) {
			wp_insert_post( $my_post_compare );
		}

		

		wp_mail( 'info@juaala.com', 'Plugin activated Resales Online properties', "Dominio:" . $_SERVER['HTTP_HOST'] . " - Email:" . get_bloginfo('admin_email') . " - WP URL:" . get_bloginfo('wpurl'));
		
	}

}
