<?php

class Rsonline_Juaala_Api_Controller {

  protected $URL; 
  protected $endPoints; 

  function __construct($URL,$endPoints) {
    $this->URL = $URL;
    $this->endPoints = $endPoints;
  }

  public function getRequest($params,$end_point, $call="GET") {
    $response_return = [];
    
    try {
      //llamada a la API para recuperar las propiedades
        $client = new \GuzzleHttp\Client();
        $url = $this->URL . $this->endPoints[$end_point];

    
        $request = new \GuzzleHttp\Psr7\Request($call, $url, [
          'query' => $params,
          'connect_timeout' => CONNECT_TIMEOUT_GUZZLEHTTP
        ]);
  
        $promise = $client->sendAsync($request,[
          'query' => $params
        ])->then(function ($response) {
            global $response_return;
            $responseString = $response->getBody();
            $response_return = json_decode($responseString, true);
            return $response_return;
        });
        $response_return = $promise->wait();
      } catch (\GuzzleHttp\Exception\RequestException $exception) {
        
          if (isset($debug_mode) && $debug_mode=='1') {
            try {
              // $ex->getBody();
              echo "<pre>";
              echo $exception->hasResponse();
              print_r($exception->getResponse()->getBody()->getContents());
              echo "</pre>";
            } catch(\Exception $e) {
              echo $e->getMessage();
            }
          }
      }

      $debug_mode = esc_attr( get_option( 'rojuaala-debug-mode' ) );
      if (isset($debug_mode) && $debug_mode=='1') {

        $id_debug = str_shuffle('mnopqrstuvwxyz');

        echo "<div style=''>";
        echo '<button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#' .$id_debug .'" aria-expanded="false" aria-controls="'. $id_debug . '">Request API RSONLINE - ' . $end_point .'</button>';
        echo '<div class="collapse multi-collapse" id="' . $id_debug .'">
              <div class="card card-body">';
        echo "<div>End point: " . $end_point . "</div>"; 
        echo '<div>Params request:</div>';
        echo "<pre>";
              print_r($params);
        echo "</pre>";
        echo '<div>Return:</div>';
        echo "<pre>";
              print_r($response_return);
        echo "</pre></div></div>";

       
      }
  
      return $response_return;
  }
}