<?php
/**
 * ReSales Online Properties Engine
 *
 * @link              https://juaala.com/
 * @since             1.0.0
 * @package           Rsonline_Juaala
 *
 * @wordpress-plugin
 * Plugin Name:       ReSales Online Properties Engine
 * Plugin URI:        https://juaala.com/plugin-resales-online/
 * Description:       Conecta todas tus propiedades de ReSales Online con tu web.
 * Version:           1.0.18
 * Requires at least: 4.9
 * Requires PHP:      5.6
 * Author:            Juaala
 * Author URI:        https://juaala.com/
 * Text Domain:       rsonline-juaala
 * Domain Path:       /languages
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * 
 * Copyright 2023 Juaala
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

require_once __DIR__ . '/vendor/autoload.php';
require_once("define.php");

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'RSONLINE_JUAALA_VERSION', '1.0.18' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-rsonline-juaala-activator.php
 */
function activate_rsonline_juaala() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-rsonline-juaala-activator.php';
	Rsonline_Juaala_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-rsonline-juaala-deactivator.php
 */
function deactivate_rsonline_juaala() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-rsonline-juaala-deactivator.php';
	Rsonline_Juaala_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_rsonline_juaala' );
register_deactivation_hook( __FILE__, 'deactivate_rsonline_juaala' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-rsonline-juaala.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_rsonline_juaala($file_plugin) {

	$plugin = new Rsonline_Juaala($file_plugin);
	$plugin->run();

}

$file_plugin = plugin_basename(__FILE__);
run_rsonline_juaala($file_plugin );
